# Starter code for Lab 6
#----------------------------------------------------------------
# initialization
import sys,os
sys.path.extend([os.path.join(os.path.expanduser('~'),'Documents'),os.getcwd()])
from lab6tester import *
from graphics import *
#----------------------------------------------------------------
# Part 1: Building a Town

def house():
    win = GraphWin("A nice little town", 400, 300)
    # (x1, y1) is the bottom left corner of the house frame
    x1 = 50
    y1 = 300
    houseWidth = 200
    houseHeight = 101
    houseColor = "pink"
    #- - - - - - - - - - - - - - - - - - - - - - - - - - - -
    # (x2, y2) is the top right corner of the house frame
    x2 = x1 + houseWidth
    y2 = y1 - houseHeight
    # draw the house frame
    p1 = Point(x1, y1)
    p2 = Point(x2, y2)
    frame = Rectangle(p1, p2)
    frame.setFill(houseColor)
    frame.draw(win)
    # draw a red roof
    centerX = (x1 + x2) / 2
    roofHeight = houseHeight / 2
    roofY = y2 - roofHeight
    roof = Polygon(Point(x1, y2), Point(centerX, roofY), Point(x2, y2))
    roof.setFill("red")
    roof.draw(win)


def town():
    win = GraphWin("A nice little town", 400, 300)
    drawHouse(win, 50, 300, 200, 101, "pink")


def drawHouse(win, x1, y1, houseWidth, houseHeight, houseColor):
    ... # replace this with your own code


#----------------------------------------------------------------
# Part 2: Returning Values From Functions

# for exercise 8
def factorial(n):
    product = 1
    for num in range(1, n+1):
        product = product * num
    return product

